Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class ParameterValidator

    java.lang.Object
      net.fortuna.ical4j.util.ParameterValidator

    public final class ParameterValidator

extends Object

Defines methods for validating parameters and parameter lists.

Author:
  Ben Fortuna

Method Summary
`void` | `assertNone(String paramName, ParameterList parameters)` Ensure a parameter doesn't occur in the specified list.
`void` | `assertOne(String paramName, ParameterList parameters)` Ensure a parameter occurs once.
`void` | `assertOneOrLess(String paramName, ParameterList parameters)` Ensure a parameter occurs no more than once.
`static ParameterValidator` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### assertOneOrLess

    public void assertOneOrLess(String paramName,
                                ParameterList parameters)
                         throws ValidationException

  Ensure a parameter occurs no more than once.

  Parameters:
    `paramName` - the parameter name
    `parameters` - a list of parameters to query
  Throws:
    `ValidationException` - when the specified parameter occurs more than once

### assertOne

    public void assertOne(String paramName,
                          ParameterList parameters)
                   throws ValidationException

  Ensure a parameter occurs once.

  Parameters:
    `paramName` - the parameter name
    `parameters` - a list of parameters to query
  Throws:
    `ValidationException` - when the specified parameter does not occur once

### assertNone

    public void assertNone(String paramName,
                           ParameterList parameters)
                    throws ValidationException

  Ensure a parameter doesn't occur in the specified list.

  Parameters:
    `propertyName` - the name of a property
    `properties` - a list of properties
  Throws:
    `ValidationException` - thrown when the specified property is found in the list of properties

### getInstance

    public static ParameterValidator getInstance()

  Returns:
    Returns the instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.